
GLOBAL.dogstepvol = GetModConfigData("dogstepvol")


PrefabFiles = {
	"alyx",
	"dog",
	"alyxgun",
	"alyxbullet",
	"alyxammo",
	"scraps",
	"effects",
}

GetPlayer = GLOBAL.GetPlayer

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/alyx.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/alyx.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/alyx.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/alyx.xml" ),

    Asset( "IMAGE", "bigportraits/alyx.tex" ),
    Asset( "ATLAS", "bigportraits/alyx.xml" ),
	
	Asset( "IMAGE", "images/map_icons/alyx.tex" ),
	Asset( "ATLAS", "images/map_icons/alyx.xml" ),
	Asset( "IMAGE", "images/map_icons/alyxgun.tex" ),
	Asset( "ATLAS", "images/map_icons/alyxgun.xml" ),
	
	Asset( "IMAGE", "images/inventoryimages/doghead.tex"),
	Asset( "ATLAS", "images/inventoryimages/doghead.xml" ),
	Asset( "IMAGE", "images/inventoryimages/dogbody.tex"),
	Asset( "ATLAS", "images/inventoryimages/dogbody.xml" ),
	Asset( "IMAGE", "images/inventoryimages/dogparts.tex"),
	Asset( "ATLAS", "images/inventoryimages/dogparts.xml" ),
	Asset( "IMAGE", "images/inventoryimages/dog.tex"),
	Asset( "ATLAS", "images/inventoryimages/dog.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/half2.fev"),
    Asset("SOUND", "sound/half2.fsb"),

}

local require = GLOBAL.require

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.alyx = "Prominent Resistance"
GLOBAL.STRINGS.CHARACTER_NAMES.alyx = "Alyx"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.alyx = "*runs fast but takes blows not well\n*has a special follower\n*"
GLOBAL.STRINGS.CHARACTER_QUOTES.alyx = "\"Aren't you going to speak up for me, Gordon?\""

-- Custom speech strings
GLOBAL.STRINGS.CHARACTERS.alyx = require "speech_alyx"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "alyx")


AddMinimapAtlas("images/map_icons/alyx.xml")
AddMinimapAtlas("images/map_icons/alyxgun.xml")
AddMinimapAtlas("images/inventoryimages/dog.xml")
AddMinimapAtlas("images/inventoryimages/doghead.xml")
AddMinimapAtlas("images/inventoryimages/dogbody.xml")
AddMinimapAtlas("images/inventoryimages/dogparts.xml")
AddModCharacter("alyx")
