local assets=
{
	Asset("ANIM", "anim/pammo.zip"),
	Asset("ATLAS", "images/inventoryimages/pammo.xml"),
    Asset("IMAGE", "images/inventoryimages/pammo.tex"),
	
	
}

local prefabs =
{
    	
}

local function OnIgniteFn(inst)
    inst.SoundEmitter:PlaySound("dontstarve/common/blackpowder_fuse_LP", "hiss")
end

local function OnExplodeFn(inst)
    local pos = Vector3(inst.Transform:GetWorldPosition())
    inst.SoundEmitter:KillSound("hiss")
    inst.SoundEmitter:PlaySound("dontstarve/common/blackpowder_explo")

    local explode = SpawnPrefab("gunfire")
    local pos = inst:GetPosition()
    explode.Transform:SetPosition(pos.x, pos.y, pos.z)

    --local explode = PlayFX(pos,"explode", "explode", "small")
    explode.AnimState:SetBloomEffectHandle( "shaders/anim.ksh" )
    explode.AnimState:SetLightOverride(1)
end


local function fncommon(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst:AddComponent("stackable")	 
    inst:AddComponent("inspectable")
	--inst:AddComponent("equippable")
    inst:AddComponent("inventoryitem")
   
	
	

	return inst
end
local function fnalyxgun(Sim)
	local inst = fncommon(Sim)
	    
    inst.AnimState:SetBank("pammo")
    inst.AnimState:SetBuild("pammo")
    inst.AnimState:PlayAnimation("idle")    
    
	inst.components.stackable.maxsize = 30 
    inst.components.inventoryitem.atlasname = "images/inventoryimages/pammo.xml"
	
	

	return inst
end

STRINGS.NAMES.PAMMO = "9mm bullet"
STRINGS.RECIPE_DESC.PAMMO = "9mm Gun's ammo."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.PAMMO = "Put it into pistols."



return Prefab( "common/inventory/pammo", fnalyxgun, assets)
      
