local assets=
{
	Asset("ANIM", "anim/blood.zip"),
	Asset("ANIM", "anim/gunfire.zip"),
	Asset("ANIM", "anim/prifle_fire.zip"),
	Asset("ANIM", "anim/bluefire.zip"),
	
	
}
-- local prefabs =
-- {
	-- "bolt",
	
-- }

-- SetSharedLootTable( 'blood_bolt',
-- {
    -- {'bolt', 1},
		
-- })

local function fnblood(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	--inst.Transform:SetFourFaced()

    MakeInventoryPhysics(inst)
    RemovePhysicsColliders(inst)
	
    inst.AnimState:SetBank("blood")
    inst.AnimState:SetBuild("blood")
	inst:AddComponent("lootdropper")
    inst.components.lootdropper:SetChanceLootTable('blood_bolt')
	inst:SetStateGraph("SGeffect")
    inst.AnimState:PlayAnimation("idle")

	return inst
end

local function fngunfire(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(5)
    inst.Light:SetFalloff(0.3)
    inst.Light:SetIntensity(0.9)
    inst.Light:SetColour(197/255,197/255,50/255)
	--inst.Transform:SetFourFaced()

    MakeInventoryPhysics(inst)
    RemovePhysicsColliders(inst)
	
    inst.AnimState:SetBank("gunfire")
    inst.AnimState:SetBuild("gunfire")
	inst:AddComponent("lootdropper")
    --inst.components.lootdropper:SetChanceLootTable('blood_bolt')
	inst:SetStateGraph("SGeffect")
    inst.AnimState:PlayAnimation("idle")
    	

	return inst
end

local function fnprifle_fire(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	local s = 0.6
	inst.Transform:SetScale(s,s,s)
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(2.5)
    inst.Light:SetFalloff(0.3)
    inst.Light:SetIntensity(0.5)
    inst.Light:SetColour(50/255,150/255,200/255)
	--inst.Transform:SetFourFaced()

    MakeInventoryPhysics(inst)
    RemovePhysicsColliders(inst)
	
    inst.AnimState:SetBank("prifle_fire")
    inst.AnimState:SetBuild("prifle_fire")
	inst:AddComponent("lootdropper")
    --inst.components.lootdropper:SetChanceLootTable('blood_bolt')
	inst:SetStateGraph("SGeffect")
    inst.AnimState:PlayAnimation("idle")
    	

	return inst
end
local function fnbluefire(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
	local light = inst.entity:AddLight()
    inst.Light:Enable(true)
	inst.Light:SetRadius(3)
    inst.Light:SetFalloff(0.3)
    inst.Light:SetIntensity(0.5)
    inst.Light:SetColour(50/255,150/255,200/255)
	--inst.Transform:SetFourFaced()

    MakeInventoryPhysics(inst)
    RemovePhysicsColliders(inst)
	
    inst.AnimState:SetBank("bluefire")
    inst.AnimState:SetBuild("bluefire")
	inst:AddComponent("lootdropper")
    --inst.components.lootdropper:SetChanceLootTable('blood_bolt')
	inst:SetStateGraph("SGeffect")
    inst.AnimState:PlayAnimation("idle")
    	

	return inst
end

-- STRINGS.NAMES.CBOWAMMO = "Uranium Rod"
-- STRINGS.CHARACTERS.GENERIC.DESCRIBE.CBOWAMMO = "Crossbow bolt"

return Prefab( "common/inventory/blood", fnblood, assets),
       Prefab( "common/inventory/gunfire", fngunfire, assets),
       Prefab( "common/inventory/prifle_fire", fnprifle_fire, assets),
       Prefab( "common/inventory/bluefire", fnbluefire, assets) 	   
