local assets=
{
	Asset("ANIM", "anim/ninemm.zip"),
}

-- local prefabs = 
-- {
 -- "blood",
-- }

local function OnHit(inst, owner, target)
    inst:Remove()    
end

local function common()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.Transform:SetFourFaced()
    MakeInventoryPhysics(inst)
    RemovePhysicsColliders(inst)
	local light = inst.entity:AddLight()
	local s = 0.65
	inst.Transform:SetScale(s,s,s)
    
    anim:SetBank("ninemm")
    anim:SetBuild("ninemm")
    
    inst:AddTag("projectile")
    
    inst:AddComponent("projectile")
    inst.components.projectile:SetSpeed(90)
    inst.components.projectile:SetOnHitFn(OnHit)
    inst.components.projectile:SetOnMissFn(OnHit)
    
    inst.AnimState:PlayAnimation("idle", true)
	
    inst.Light:Enable(true)
	inst.Light:SetRadius(0.7)
    inst.Light:SetFalloff(0.6)
    inst.Light:SetIntensity(.3)
    inst.Light:SetColour(255/200,117/200,220/255)
	
    return inst
end



return Prefab( "common/inventory/ninemm", common, assets)
	  
      
