local event_handlers=
{
    EventHandler("death", function(inst) inst.sg:GoToState("death") end),    
}

local states=
{
      
	State{
        name = "death",
        tags = {"busy"},

        onenter = function(inst)
			--inst.SoundEmitter:PlaySound("half/combine/death")
            inst.AnimState:PlayAnimation("idle")
            inst.Physics:Stop()
            RemovePhysicsColliders(inst)            
            inst.components.lootdropper:DropLoot(Vector3(inst.Transform:GetWorldPosition()))
                    
        end,
		events=
        {
			EventHandler("animover", function(inst) inst:Remove() end),
        },

    },
	
	
}	

return StateGraph("blood", states, event_handlers, "death", {}),
       StateGraph("gunfire", states, event_handlers, "death", {})